Page loading, please wait...



The page still doesn't show? Click here
 
BOM Home Biet-O-Matic Forum
  Watched TopicsWatched Topics     FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

Plugin für Firefox 3 ?
Goto page 1, 2  Next
 
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools
View previous topic :: View next topic  
Author Message
Vision
Forum Newbie


Joined: 18 May 2008
Posts: 3

PostPosted: 18.05.2008 - 00:31    Post subject: Plugin für Firefox 3 ? Reply with quote

Hallo

Ich teste schon Firefox 3 RC1 was sehr stable läuft. Wird es dafür auch in naher Zukunft ein Plugin geben ?

Das alte kann man hier leider nicht installieren.

_________________
Vision
Member vom Technikteam.de
Back to top
View user's profile Send private message
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2152

PostPosted: 18.05.2008 - 15:07    Post subject: Re: Plugin für Firefox 3 ? Reply with quote

du meinst wohl 'stabil'.

probier mal anhängende Version und berichte.

edit by Admin: Attachment deleted


Nobbi

_________________
kein Support per privatem Nachrichten-System oder eMail.


Last edited by B-O-M on 29.06.2008 - 12:27; edited 2 times in total
Back to top
View user's profile Send private message Visit poster's website
Vision
Forum Newbie


Joined: 18 May 2008
Posts: 3

PostPosted: 25.05.2008 - 00:59    Post subject: Reply with quote

Es funktioniert bei der Firefox 3 RC1 leider nicht.
Es kommt immer noch die Meldung das Bom nicht installiert wird, weil es keine sicheren Updates bietet.
Ich habe die rdf mal manuell auf 3.0.* angepasst, aber das brachte nicht den gewünschten Erfolg.

_________________
Vision
Member vom Technikteam.de
Back to top
View user's profile Send private message
B-O-M
Forum Admin
Forum Admin


Joined: 07 Sep 2004
Posts: 2152

PostPosted: 25.05.2008 - 01:26    Post subject: Reply with quote

Vision wrote:
Ich habe die rdf mal manuell auf 3.0.* angepasst...


hätte bei der oben anhängenden Version nicht notwendig sein dürfen weil bereits geändert.

anyway, reicht ja trotzdem nicht.


Nobbi

_________________
kein Support per privatem Nachrichten-System oder eMail.
Back to top
View user's profile Send private message Visit poster's website
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 27.05.2008 - 11:58    Post subject: Reply with quote

Quote:
Es kommt immer noch die Meldung das Bom nicht installiert wird, weil es keine sicheren Updates bietet.

Ich lese gerade, als Update-URL sind mit FF3 nur noch https-URLs gültig. Wir haben hier im Augenblick aber kein https zu bieten (ähm, stimmt doch?), darum können wir das momentan nicht anbieten. Eventuell könnte man das ja auch später über erweiterungen.de anbieten.

Vorher hätte ich aber gerne die Addon-Update-Geschichte erst einmal unter http zum Laufen gebracht ...

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
hamstiglue
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 3207

PostPosted: 27.05.2008 - 17:22    Post subject: Reply with quote

Mæster wrote:
Wir haben hier im Augenblick aber kein https zu bieten (ähm, stimmt doch?)

Richtig. Für https brauchts ne dedizierte IP und ein Zertifikat, beides gegen Aufpreis erhältlich.

Mæster wrote:
Addon-Update-Geschichte

Was für ne Geschichte?
Back to top
View user's profile Send private message Visit poster's website
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 27.05.2008 - 17:47    Post subject: Reply with quote

Quote:
[..]Addon-Update-Geschichte

Was für ne Geschichte?

Für die Mozilla-Plugins gibts ja die automatische Update-Möglichkeit. Der Addon-Mangager im Browser sucht beim Start nach neuen Updates für alle Addons. Das ganze funktioniert derzeit mit dem BOM-Plugin nicht. Formell habe ich alles nötige dafür getan - den entsprechenden Update-Link in der install.rdf gesetzt und eine zugehörige update.rdf mit den Update-Informationen unter selbigem Link hinterlegt. Läuft aber trotzdem nicht - habe den Fehler noch nicht finden können.

Quote:

Richtig. Für https brauchts ne dedizierte IP und ein Zertifikat, beides gegen Aufpreis erhältlich.

Musz für das Plugin nicht extra sein, es gibt noch 2 weitere Möglichkeiten:

1. Man veröffentlicht das Plugin über addon.mozilla.org - dort werden dann automatisch https-Update-URLs erstellt

2. Man sichert die Echtheit des Plugins durch ein symmetrisches Schlüsselpaar ab. Dabei wird in der install.rdf des Plugins der öffentliche Schlüssel hinterlegt und die update.rdf wird mit dem privaten versiegelt. In diesem Fall geht auch wieder eine http-Verbindung.

Da ich das aber bislang nicht mal ohne Schlüssel im FF2 zum Laufen bringe ...

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Vision
Forum Newbie


Joined: 18 May 2008
Posts: 3

PostPosted: 27.05.2008 - 19:17    Post subject: Reply with quote

Mæster wrote:
Quote:
Es kommt immer noch die Meldung das Bom nicht installiert wird, weil es keine sicheren Updates bietet.

Ich lese gerade, als Update-URL sind mit FF3 nur noch https-URLs gültig. Wir haben hier im Augenblick aber kein https zu bieten (ähm, stimmt doch?), darum können wir das momentan nicht anbieten. Eventuell könnte man das ja auch später über erweiterungen.de anbieten.

Vorher hätte ich aber gerne die Addon-Update-Geschichte erst einmal unter http zum Laufen gebracht ...

Danke für den Tip. Nun läuft das Addon erstmal ! Smile

_________________
Vision
Member vom Technikteam.de
Back to top
View user's profile Send private message
hamstiglue
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 3207

PostPosted: 27.05.2008 - 19:32    Post subject: Reply with quote

Mæster wrote:
Für die Mozilla-Plugins gibts ja die automatische Update-Möglichkeit. Der Addon-Mangager im Browser sucht beim Start nach neuen Updates für alle Addons. Das ganze funktioniert derzeit mit dem BOM-Plugin nicht. Formell habe ich alles nötige dafür getan - den entsprechenden Update-Link in der install.rdf gesetzt und eine zugehörige update.rdf mit den Update-Informationen unter selbigem Link hinterlegt. Läuft aber trotzdem nicht - habe den Fehler noch nicht finden können.

Aber ich Cool
Die Extension GUID muss in geschweiften Klammern stehen, dann gehts. Ich hab die Versions-Nr. erstmal auf 1.0 zurückgesetzt, damit es jetzt nicht gleich bei allen endlos updatet. Kannst ja dann bei Bedarf wieder hochschrauben.
Back to top
View user's profile Send private message Visit poster's website
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 27.05.2008 - 20:59    Post subject: Reply with quote

Quote:
Die Extension GUID muss in geschweiften Klammern stehen, dann gehts. Ich hab die Versions-Nr. erstmal auf 1.0 zurückgesetzt, damit es jetzt nicht gleich bei allen endlos updatet. Kannst ja dann bei Bedarf wieder hochschrauben.

Wow, sehr schön. Da habe ich bislang immer an der falschen Stelle gesucht.

Baue im Augenblick ein eigenes Options-Fenster für das Plugin. Wenn das läuft, gibts dann auch eine Version 1.1 und die neu gewonnene Update-Funktionalität kann ihres Amtes walten Wink.

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Pillhuhn
BOM-interessiert
BOM-interessiert


Joined: 07 May 2008
Posts: 16
Location: Hamburg

PostPosted: 23.06.2008 - 19:14    Post subject: Reply with quote

Was für ein Service Wink
schon mal: Daumen hoch für die Entwickler hier!!
Back to top
View user's profile Send private message
Zoul
Forum Newbie


Joined: 25 Jun 2008
Posts: 2

PostPosted: 27.06.2008 - 16:20    Post subject: Reply with quote

Hi,

hab jetzt Firefox 3.0 laufen und das Plugin für BOM laeuft nicht mehr. Auch das in diesem Thread zum Download angebotene Plugin geht nicht.

Ich weiß auch nicht wie ich den Quelltext editieren, also z.B. die hier erwähnten, geschweiften Klammern usw. Habe keine Ahnung von sowas.

Frage: Gibt es schon irgendwo eine funktionierende Version zum download und wenn ja wo?

Danke & Gruß

Zoul
Back to top
View user's profile Send private message
butterfly
BOM-interessiert
BOM-interessiert


Joined: 28 Jun 2008
Posts: 11

PostPosted: 28.06.2008 - 20:17    Post subject: Reply with quote

Zoul wrote:
Hi,

hab jetzt Firefox 3.0 laufen und das Plugin für BOM laeuft nicht mehr. Auch das in diesem Thread zum Download angebotene Plugin geht nicht.

Ich weiß auch nicht wie ich den Quelltext editieren, also z.B. die hier erwähnten, geschweiften Klammern usw. Habe keine Ahnung von sowas.

Frage: Gibt es schon irgendwo eine funktionierende Version zum download und wenn ja wo?

Danke & Gruß

Zoul

Hallo,
ich habe das gleiche Problem. Wäre wirklich froh, wenn es irgendeine (für normale User) Lösung gäbe den Plugin mit FF 3 zu benutzen. Wie das mit den Klammern geht ist mir auch schleierhaft. Wenn es dann den neuen BOM-Plugin gibt, kann ich den alten ja deinstallieren und dann den neuen installieren. Ist ja nicht so schlimm, wenn das auto update nicht funktioniert.
Back to top
View user's profile Send private message
Mæster
Forum Admin
Forum Admin


Joined: 04 Sep 2004
Posts: 2105

PostPosted: 28.06.2008 - 21:12    Post subject: Reply with quote

Sodele, damit die FF3-Nutzer nicht zu lange auf eine kompatible Version warten müssen, ist ab sofort Version 1.1 verfügbar:

http://www.bid-o-matic.org/forum/viewtopic.php?p=9013#9013

Neue Funktionen brauchen noch etwas Entwicklungsarbeit und folgen später in einer neuen Auflage.

_________________
Grusz,
Mæster.
Back to top
View user's profile Send private message Send e-mail AIM Address Yahoo Messenger
Zoul
Forum Newbie


Joined: 25 Jun 2008
Posts: 2

PostPosted: 29.06.2008 - 08:06    Post subject: Reply with quote

Dankeschön!!! Läuft prima soweit ich es sehe!

Gruss

Zoul
Back to top
View user's profile Send private message
Display posts from previous:   
Post new topic   Reply to topic    Biet-O-Matic Forum Forum Index -> Patches, Mods & Tools All times are GMT + 1 Hour
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group